xrdp 多个缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1184049 漏洞类型 输入验证
发布时间 2009-01-15 更新时间 2009-02-10
CVE编号 CVE-2008-5904 CNNVD-ID CNNVD-200901-176
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200901-176
|漏洞详情
xrdp0.4.1及之前版本的rdp/rdp_rdp.c中的rdp_rdp_process_color_pointer_pdu函数允许远程RDP服务商借助输入数据,造成未知影响。该输入数据会为特定的长度变量设置特制的值,从而导致缓冲区溢出。
|参考资料

来源:XF
名称:xrdp-rdprdpprocesscolorpointerpdu-bo(48094)
链接:http://xforce.iss.net/xforce/xfdb/48094
来源:MISC
链接:http://packetstormsecurity.org/0812-advisories/VA_VD_87_08_XRDP.pdf
来源:MLIST
名称:[oss-security]20090112CVErequest:xrdp
链接:http://openwall.com/lists/oss-security/2009/01/12/3
来源:SUSE
名称:SUSE-SR:2009:003
链接:http://lists.opensuse.org/opensuse-security-announce/2009-02/msg00000.html